%global _hardened_build 1

%define current_version 1.0.7

Name: coripper
Version: %{current_version}
Release:        1%{?dist}
License: GPLv2
Group: Applications
Summary: coripper utility for coredump shinking
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: x86_64

BuildRequires: elfutils-libelf-devel
BuildRequires: boost-devel

%description
This package contains coredump shrinking utility.

%prep
%setup -q

%build
export CPPFLAGS="$RPM_OPT_FLAGS"
export LDFLAGS="$RPM_LD_FLAGS"
%make_build

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8

%make_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{_bindir}/coripper
%{_mandir}/man8/coripper.8*

%changelog
* Fri May 31 2019 Konstantin Volkov <wolf@virtuozzo.com> 1.0.7
 - Updated copyrights, see #PSBM-94991

* Tue Jun 06 2017 Konstantin Volkov <wolf@virtuozzo.com> 1.0.6
 - Make it possible to use exported CPPFLAGS and LDFLAGS when building the
package (Andrey Bondrov <abondrov@virtuozzo.com>)
 - Enable hardened build, see #PSBM-58107 (Andrey Bondrov
<abondrov@virtuozzo.com>)

* Tue Jun 06 2017 Andrey Bondrov <abondrov@virtuozzo.com> 1.0.5-2
- Enable hardened build, see #PSBM-58107

* Fri Jun 02 2017 Konstantin Volkov <wolf@virtuozzo.com> 1.0.5
 - Fix style (place the destructor above members) (Andrey Bondrov
<abondrov@virtuozzo.com>)
 - Declare destructors explicitly to allow building with -O2 (Andrey Bondrov
<abondrov@virtuozzo.com>)

* Fri Mar 10 2017 Konstantin Volkov <wolf@virtuozzo.com> 1.0.4
 - Move branding to separate file, see #PSBM-58317
 - Create BINDIR during 'make install' if necessary (Denis Silakov
<dsilakov@gmail.com>)

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 1.0.3-3
- Rebuild in 7.3 environment

* Wed Jun 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 1.0.3-2
- Technical rebuild, see #PSBM-47948

* Fri Oct 02 2015 Dmitry Andreev <dandreev@odin.com> 1.0.3
 - initial source code commit
 - add makefiles
 - add man
